The hibernate-jipijapa module is currently unusable

Description

The hibernate-jipijapa module included with Hibernate is currently unusable. Attempting to do so results in the following exception failing application startup on the WildFly application server:

The WildFly code this module is based on is not affected by the same issue. After some digging through past commits, it looks like it introduced by some refactoring between the point the code was first introduced into Hibernate from the WildFly module and when it was first released as part of Hibernate 5.3.

A replicating test case alongside the fix is included in the associated topic branch.

Environment

None

Assignee

Unassigned

Reporter

Peter Griffiths

Fix versions

None

Labels

None

backPortable

Backport?

Suitable for new contributors

None

Requires Release Note

None

Pull Request

None

backportDecision

None

Affects versions

Priority

Major
Configure